
QGIS Application - Bug report #3819

WMS layer list shows inverse order

2011-05-11 06:10 AM - manelclos -

Status: Closed

Priority: Low

Assignee:

Category: Web Services clients/WMS

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed/implemented

Crashes QGIS or corrupts data:No Copied to github as #: 13877

Description

The [[GetCapabilities]] response is interpreted bottom top instead of top bottom (as many other WMS Clients do).

QGIS 1.4.0 worked ok, 1.5.0 and 1.6.0 show reversed layer list.

WMSServers could filter on the user agent if the behaviour cannot be changed, or at least allow for a checkbox to reverse the layers list in

the UI. QGIS user agent:

QGIS 1.4.0: HTTP_USER_AGENT: Quantum GIS - 1.4.0-Enceladus

QGIS 1.5.0: HTTP_USER_AGENT: Mozilla/5.0

QGIS 1.6.0: HTTP_USER_AGENT: Mozilla/5.0

Thanks!

From: https://github.com/mapnik/OGCServer/issues/8

History

#1 - 2011-07-22 09:38 AM - Giovanni Manghi

- Category changed from Build/Install to Web Services clients/WMS

- Assignee deleted (nobody -)

- Pull Request or Patch supplied set to No

#2 - 2011-12-16 12:45 PM - Giovanni Manghi

- Target version changed from Version 1.7.0 to Version 1.7.4

#3 - 2012-04-16 06:28 AM - Paolo Cavallini

- Crashes QGIS or corrupts data set to No

- Affected QGIS version set to master

- Target version changed from Version 1.7.4 to Version 1.8.0

#4 - 2012-09-04 12:01 PM - Paolo Cavallini

- Target version changed from Version 1.8.0 to Version 2.0.0

#5 - 2014-06-28 07:40 AM - Jürgen Fischer

- Target version changed from Version 2.0.0 to Future Release - Lower Priority

#6 - 2015-12-03 03:06 AM - Médéric RIBREUX

- % Done changed from 0 to 100

- Operating System deleted (Debian)

- Status changed from Open to Closed

2025-12-15 1/2

https://github.com/mapnik/OGCServer/issues/8


- Resolution set to fixed/implemented

Hello, bug triage...

this not true anymore with QGIS 2.13 (and probably earlier versions). WMS Layers are displayed from the start of the WMS answer to the end.

I am closing this bug.
